/**
 * Theme Name: Blocksy Child
 * Description: Blocksy Child theme
 * Author: Deja Vu Studio & Chun
 * Template: blocksy
 * Text Domain: blocksy
 * Version: 1.0.0
 */

/* My Account - Points */
.my_account_points_rewards {
  border-collapse: separate;
  border-spacing: 0;
  margin-bottom: 40px;
}

.my_account_points_rewards,
.my_account_points_rewards th,
.my_account_points_rewards td {
  border: 0;
}
.my_account_points_rewards tr th,
.my_account_points_rewards thead tr th {
  background-color: #4c4639;
  color: #ffffff;
  font-weight: 500;
  padding: 10px 32px;
}
table.my_account_points_rewards tr > *:first-child {
  padding-inline-start: 32px;
}
table.my_account_points_rewards tr > *:last-child {
  padding-inline-end: 32px;
}
.my_account_points_rewards tr {
  background-color: var(--theme-palette-color-6);
}
.my_account_points_rewards tr:nth-child(odd) {
  background-color: #ffffff;
}
.my_account_points_rewards tr td {
  padding: 12px 32px;
}
.my_account_points_rewards tr th.points-rewards-event-points,
.my_account_points_rewards tr td.points-rewards-event-points {
  width: 140px;
  text-align: center;
}
@media (max-width: 768px) {
  .my_account_points_rewards tr th,
  .my_account_points_rewards thead tr th,
  .my_account_points_rewards tr td {
    padding: 10px 16px;
  }
  table.my_account_points_rewards tr > *:first-child {
    padding-inline-start: 16px;
  }
  table.my_account_points_rewards tr > *:last-child {
    padding-inline-end: 16px;
  }
  .my_account_points_rewards tr th.points-rewards-event-points,
  .my_account_points_rewards tr td.points-rewards-event-points {
    width: auto;
  }
}

.woocommerce-Pagination {
  display: flex;
  gap: 24px;
}

/* Product Loop */
.product.wtoy-loop-lottery {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-content: flex-start;
  gap: 16px;
}
/* .products.columns-2 .product.wtoy-loop-lottery {
  flex-direction: row;
} */
/* Product Loop - Meta */
.product .wtoy-loop-lottery__meta {
  width: 100%;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 8px;
  margin: 0;
}
.wtoy-loop-lottery-category__name {
  background: var(--theme-palette-color-1);
  padding: 8px 16px;
  border-radius: 2px;
  font-size: 0.75rem;
  display: inline-block;
  line-height: 100%;
}
.wtoy-loop-lottery-info__shipmentby--label {
  background-color: var(--theme-palette-color-4);
  color: #ffffff;
  padding: 8px 16px;
  border-radius: 2px;
  font-size: 0.75rem;
  display: inline-block;
  line-height: 100%;
}
.wtoy-loop-lottery-info {
  background-color: var(--theme-palette-color-6);
  color: var(--theme-palette-color-4);
  padding: 8px 16px;
  border-radius: 2px;
  font-size: 0.75rem;
  line-height: 100%;
  display: inline-block;
}
.products.columns-2 .wtoy-loop-lottery__meta .wtoy-loop-lottery-info {
  flex-grow: 1;
}
.wtoy-loop-lottery-info__note:before {
  content: "";
  display: inline-block;
  border-left: 1px solid #dddddd;
  margin: 0 12px;
  height: 8px;
}
/* Product Loop - Thumbnail */
.products.columns-2 .wtoy-loop-lottery-thumbnail {
  width: 45%;
  flex-grow: 1;
}
.products .wtoy-loop-lottery-thumbnail {
  margin-bottom: 0; /* overwrite WooCommerce style */
}
.wtoy-loop-lottery-thumbnail__link {
  display: block;
  border-radius: 8px;
  overflow: hidden;
}
.wtoy-loop-lottery-thumbnail .attachment-woocommerce_thumbnail {
  display: block;
}
/* Product Loop - Content */
.wtoy-loop-lottery__content {
  display: flex;
  flex-direction: column;
  gap: 16px;
}
.products.columns-2 .wtoy-loop-lottery__content {
  width: 50%;
  flex-grow: 1;
}
.wtoy-loop-lottery-title {
  font-size: 1rem;
  font-weight: 500;
  line-height: 150%;
}
.entry-content .wtoy-loop-lottery-title {
  margin-bottom: 0; /* overwrite Theme style */
}
/* Product Points */
.ct-header-text .user-points {
  display: flex;
}
.ct-header-text .user-points .wtoy-loop-lottery-point__link:first-of-type {
  padding-right: 13px;
}
.wtoy-loop-lottery-points__value,
.wtoy-loop-lottery-return-points__value {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 8px;
}
.wtoy-loop-lottery-points__value:before {
  content: "";
  display: inline-block;
  background: url("https://wonderful-toy.com/wp-content/uploads/2023/07/point.svg") no-repeat;
  background-size: contain;
  background-position: center;
  width: 16px;
  height: 16px;
}

.wtoy-loop-lottery-return-points__value:before {
  content: "";
  display: inline-block;
  background: url("/wp-content/themes/blocksy-child/assets/img/tickets.svg") no-repeat;
  background-size: contain;
  background-position: center;
  width: 16px;
  height: 16px;
}

/* Product Loop - Prize */
.wtoy-loop-lottery-prize {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 8px;
}
.wtoy-loop-lottery-prize__item {
  font-size: 0.75rem;
  padding: 6px 8px;
  border-radius: 2px;
  line-height: 100%;
}
.wtoy-loop-lottery-prize__item--gold {
  background-color: var(--theme-palette-color-1);
  color: var(--theme-palette-color-4);
}
.wtoy-loop-lottery-prize__item--silver {
  background-color: #dddddd;
  color: var(--theme-palette-color-4);
}
.wtoy-loop-lottery-prize__item--bronze {
  background-color: #ebcdc3;
  color: var(--theme-palette-color-4);
}
.wtoy-loop-lottery-prize__item-break {
  flex-basis: 100%;
  height: 0;
}
.wtoy-loop-lottery__stock {
  font-size: 0.75rem;
  line-height: 100%;
}
[data-behaviour*=right-side] .ct-panel-inner {
    align-self: normal;
}
@media (max-width: 689.98px) {
    [data-header*="type-1"] #offcanvas {
        --side-panel-width: 100vw;
    }
}
@media (max-width: 999.98px) {
    [data-header*="type-1"] #offcanvas {
        --side-panel-width: 100vw;
    }
}